Bug 1749716 (CVE-2019-15890) - CVE-2019-15890 QEMU: Slirp: use-after-free during packet reassembly
Summary: CVE-2019-15890 QEMU: Slirp: use-after-free during packet reassembly
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15890
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749723 1749724 1749730 1749731 1749735 1749736 1749737 1750183 1750184 1750185 1755596 1755597 1793216 1825808 1835022
Blocks: 1727851
TreeView+ depends on / blocked
 
Reported: 2019-09-06 10:06 UTC by Prasad J Pandit
Modified: 2020-11-04 02:52 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free issue was found in the SLiRP networking implementation of the QEMU emulator. The issue occurs in ip_reass() routine while reassembling incoming packets, if the first fragment is bigger than the m->m_dat[] buffer. A user or process could use this flaw to crash the QEMU process on the host, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2020-03-10 16:31:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0775 None None None 2020-03-10 11:33:35 UTC
Red Hat Product Errata RHSA-2020:0889 None None None 2020-03-17 17:56:38 UTC
Red Hat Product Errata RHSA-2020:4676 None None None 2020-11-04 02:52:44 UTC

Description Prasad J Pandit 2019-09-06 10:06:55 UTC
A use-after-free issue was found in the SLiRP networking implementation
of the QEMU emulator. It occurs in ip_reass() routine while reassembling
incoming packets, if the first fragment is bigger than the m->m_dat[] buffer. 

A user/process could use this flaw to crash the Qemu process on the host
resulting in DoS.

Upstream patch:
---------------
  -> https://gitlab.freedesktop.org/slirp/libslirp/commit/c59279437eda91841b9d26079c70b8a540d41204

Comment 2 Prasad J Pandit 2019-09-06 10:27:27 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1749730]

Comment 5 Joshua Padman 2019-09-08 23:32:06 UTC
Statement:

Red Hat OpenStack Platform:                                                                                                                 
* This flaw impacts KVM user-mode or SLIRP networking, which is not used in Red Hat OpenStack Platform. Although updating is recommended for affected versions (see below), Red Hat OpenStack Platform environments are not vulnerable.

Comment 10 errata-xmlrpc 2020-03-10 11:33:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0775 https://access.redhat.com/errata/RHSA-2020:0775

Comment 11 Product Security DevOps Team 2020-03-10 16:31:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15890

Comment 12 errata-xmlrpc 2020-03-17 17:56:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Extras

Via RHSA-2020:0889 https://access.redhat.com/errata/RHSA-2020:0889

Comment 17 errata-xmlrpc 2020-11-04 02:52:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4676 https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.